Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.locator
Interface DynamicEndpointSnitchMBean

All Known Implementing Classes:
  DynamicEndpointSnitch

    public interface DynamicEndpointSnitchMBean

Method Summary
`java.util.List<java.lang.Double>` | `dumpTimings(java.lang.String hostname)`
`double` | `getBadnessThreshold()`
`int` | `getResetInterval()`
`java.util.Map<java.net.InetAddress,java.lang.Double>` | `getScores()`
`java.lang.String` | `getSubsnitchClassName()`
`int` | `getUpdateInterval()`

Method Detail

### getScores

    java.util.Map<java.net.InetAddress,java.lang.Double> getScores()

### getUpdateInterval

    int getUpdateInterval()

### getResetInterval

    int getResetInterval()

### getBadnessThreshold

    double getBadnessThreshold()

### getSubsnitchClassName

    java.lang.String getSubsnitchClassName()

### dumpTimings

    java.util.List<java.lang.Double> dumpTimings(java.lang.String hostname)
                                                 throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation